% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cheetah.R
\name{cheetah}
\alias{cheetah}
\title{Create a Cheetah Grid widget}
\usage{
cheetah(
  data,
  columns = NULL,
  column_group = NULL,
  width = NULL,
  height = NULL,
  elementId = NULL,
  rownames = TRUE,
  search = c("disabled", "exact", "contains"),
  sortable = TRUE
)
}
\arguments{
\item{data}{A data frame or matrix to display}

\item{columns}{A list of column definitions. Each column can be customized using
\code{column_def()}.}

\item{column_group}{A list of column groups. Each group can be customized using}

\item{width}{Width of the widget}

\item{height}{Height of the widget}

\item{elementId}{The element ID for the widget}

\item{rownames}{Logical. Whether to show rownames. Defaults to TRUE.}

\item{search}{Whether to enable a search field on top of the table.
Default to \code{disabled}. Use \code{exact} for exact matching
or \code{contains} to get larger matches.}

\item{sortable}{Logical. Whether to enable sorting on all columns. Defaults to TRUE.}
}
\value{
An HTML widget object of class 'cheetah' that can be:
\itemize{
\item Rendered in R Markdown documents
\item Used in Shiny applications
\item Displayed in R interactive sessions
}
The widget renders as an HTML table with all specified customizations.
}
\description{
Creates a high-performance table widget using Cheetah Grid.
}
